/// The default value provided for resampling does not match the type of the series being resampled.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ResampleDefaultValueTypeMismatchesSeriesType {
    #[builder(into)]
    #[serde(rename = "defaultValueType")]
    default_value_type: String,
    #[builder(into)]
    #[serde(rename = "expectedType")]
    expected_type: String,
}
impl ResampleDefaultValueTypeMismatchesSeriesType {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        default_value_type: impl Into<String>,
        expected_type: impl Into<String>,
    ) -> Self {
        Self::builder()
            .default_value_type(default_value_type)
            .expected_type(expected_type)
            .build()
    }
    #[inline]
    pub fn default_value_type(&self) -> &str {
        &*self.default_value_type
    }
    #[inline]
    pub fn expected_type(&self) -> &str {
        &*self.expected_type
    }
}
impl conjure_error::ErrorType for ResampleDefaultValueTypeMismatchesSeriesType {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:ResampleDefaultValueTypeMismatchesSeriesType"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["defaultValueType", "expectedType"]
    }
}
